# Workaround to always have %scl defined
%{!?scl:%global scl autotools-git}

%{?scl:%scl_package %scl}

Summary: Package that installs %scl
Name: %scl_name
Version: 1
Release: 9%{?dist}
BuildArch: noarch
License: GPLv2+
Group: Applications/File

Requires: %{?scl_prefix}m4, %{?scl_prefix}automake
Requires: %{?scl_prefix}autoconf, %{?scl_prefix}libtool
%{?scl:BuildRequires: scl-utils-build}
%{?scl:BuildRequires: iso-codes}

%if ! 0%{?buildroot:1}
# HACK!  This should be truth only for RHEL5, so benefit from
# this %%if for defining (otherwise undefined) macro for this platform.
%global rhel 5
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%endif

%description
This is the main package for %scl Software Collection.  It contains the latest
development (unstable) versions of autotools.  Just run "scl enable %scl bash"
to make it work instead of system-default autotools.


%package runtime
Summary: Package that handles %scl Software Collection.
Group: Applications/File
Requires: scl-utils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.


%prep
%setup -c -T


%install
%if 0%{?rhel} == 5
rm -rf %{buildroot}
%endif

mkdir -p %{buildroot}/%{_scl_scripts}/root

cat > %{buildroot}/%{_scl_scripts}/enable <<EOF
export PATH=%{_bindir}\${PATH:+:\${PATH}}
export LIBRARY_PATH=%{_libdir}\${LIBRARY_PATH:+:\${LIBRARY_PATH}}
export LD_LIBRARY_PATH=%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}
export MANPATH=%{_mandir}:\${MANPATH}
EOF

%scl_install

cat %{buildroot}/%{_root_sysconfdir}/rpm/macros.%{scl}-config
rm -rf %{buildroot}/%{_root_sysconfdir}/rpm/macros.%{scl}-config


%files
%if 0%{?fedora} >= 21
%files runtime -f filelist
%else
%files runtime
%scl_files
%if 0%{?rhel} == 7
# Temporary fix for some bug in scl-utils-build-20130529-1.el7.x86_64
/opt/rh/autotools-git/root/lib64
%endif
%endif


%changelog
* Thu Apr 17 2014 Pavel Raiskup <praiskup@redhat.com> - 1-9
- merge fixes with autotools-latest version

* Tue Mar 25 2014 Pavel Raiskup <praiskup@redhat.com> - 1-8
- buildroots are prepared, lets require all packages

* Mon Mar 24 2014 Pavel Raiskup <praiskup@redhat.com> - 1-7
- prepare for m4 incorporation (newer m4 is needed in RHEL5)

* Fri Mar 21 2014 Pavel Raiskup <praiskup@redhat.com> - 1-6
- fix project description a little

* Fri Mar 21 2014 Pavel Raiskup <praiskup@redhat.com> - 1-5
- ok, revert that hack back (this is needed for epel-7, not for rhel-7 buildroot
  atm)

* Fri Mar 21 2014 Pavel Raiskup <praiskup@redhat.com> - 1-4
- the hack for RHEL-7 is not needed now?

* Fri Mar 21 2014 Pavel Raiskup <praiskup@redhat.com> - 1-3
- temporarily disable autotools-git-libtool requirement

* Fri Mar 21 2014 Pavel Raiskup <praiskup@redhat.com> - 1-2
- workaround bug fixed in scl-utils-build-20130529-5

* Wed Mar 19 2014 Pavel Raiskup <praiskup@redhat.com> - 1-1
- initial packaging
